Mono.Addins 0.4.0.0 1.0.0.0 System.Object Mono.Addins.Serialization.IBinaryXmlElement An add-in description. Provides access to all extensibility information declared by an add-in or add-in root.
- Constructor
  Initializes a new instance.
  0.4.0.0
- Method
  Mono.Addins.Description.ExtensionPoint `` To be added. To be added. To be added. To be added. 0.4.0.0
- Property
  System.String To be added. To be added. To be added. 0.4.0.0
- Property
  System.String Full identifier of the add-in. To be added. The full identifier of an add-in is the combination of the and the properties (it's like the full name of a class). 0.4.0.0
- Property
  System.Collections.Specialized.StringCollection List of all files that compose this add-in. List of all files that compose this add-in. Returns the list of all files which belong to this add-in, including assemblies and data files. 0.4.0.0
- Property
  0.4.0.0
  System.Collections.Specialized.StringCollection To be added. To be added. To be added.
- Property
  Mono.Addins.Description.ModuleCollection List of all modules defined in the add-in description. List of all modules defined in the add-in description. Returns a list of all modules defined in the add-in description, including the main module and the optional modules. 0.4.0.0
- Property
  System.String Author of the add-in. Author of the add-in. 0.4.0.0
- Property
  0.4.0.0
  System.String To be added. To be added. To be added.
- Property
  0.4.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  0.4.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added. 0.4.0.0
- Property
  System.String Version of the add-in with which this add-in is backwards compatible. Version of the add-in with which this add-in is backwards compatible. If not specified, the add-in is supposed to be backwards compatible with all versions. 0.4.0.0
- Property
  Mono.Addins.Description.ConditionTypeDescriptionCollection Condition types defined by this add-in. To be added. To be added. 0.4.0.0
- Property
  System.String Copyright of the add-in. To be added. To be added. 0.4.0.0
- Property
  System.String Long description of the add-in. To be added. To be added. 0.4.0.0
- Property
  0.4.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  Mono.Addins.Description.ExtensionNodeSetCollection Node sets defined in this add-in. Node sets defined in this add-in. 0.4.0.0
- Property
  Mono.Addins.Description.ExtensionPointCollection Extension points defined in this add-in. Extension points defined in this add-in. 0.4.0.0
- Property
  System.String File name where this add-in description is to be stored. File name where this add-in description is to be stored. 0.4.0.0
- Property
  0.4.0.0
  Mono.Addins.Description.AddinFlags To be added. To be added. To be added.
- Property
  0.4.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  0.4.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.String Identifier of the add-in. Identifier of the add-in. The full identifier of an add-in is the combination of the and the LocalId properties (it's like the full name of a class). 0.4.0.0
- Property
  0.4.0.0
  Mono.Addins.Description.ExtensionNodeDescription To be added. To be added. To be added.
- Property
  Mono.Addins.Description.ModuleDescription To be added. To be added. To be added. 0.4.0.0
- Method
  0.4.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.4.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.String Display name of the add-in. Name of the add-in. This is the name shown in the add-in setup tools. 0.4.0.0
- Property
  System.String To be added. To be added. The full identifier of an add-in is the combination of the and the properties (it's like the full name of a class). 0.4.0.0
- Property
  Mono.Addins.Description.ModuleCollection Optional modules defined by this add-in. List of optional modules defined by this add-in. Optional modules are modules which are loaded only if the specified dependencies can be satisfied, otherwise they are ignored. 0.4.0.0
- Method
  Mono.Addins.Description.AddinDescription `` Name of the file. Loads a add-in description from an XML file. The loaded add-in description. Loads a add-in description from the specified XML file. 0.4.0.0
- Method
  Mono.Addins.Description.AddinDescription `` `` Stream from which to load the add-in description. Base path to use for resolving relative paths to add-in files. Loads a add-in description from a stream. The loaded add-in description. Loads a add-in description from a stream. 0.4.0.0
- Method
  0.4.0.0
  Mono.Addins.Description.AddinDescription `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void Saves the add-in description to an XML file. The add-in description is saved to the file specified in . 0.4.0.0
- Method
  System.Void `` Name of the file. Saves the add-in description to an XML file. Saves the add-in description to the specified file. This method also sets the FileName property. 0.4.0.0
- Method
  System.Xml.XmlDocument Saves the description to an XML document. An xml document containing the add-in description. 0.4.0.0
- Property
  System.String Url where more information about the add-in can be found. Url where more information about the add-in can be found. 0.4.0.0
- Method
  System.Collections.Specialized.StringCollection Verifies that the add-in description is correct. An empty list if the add-in description is valid, or a list of error messages if it is not valid. Verifies the validity of the add-in description, and returns a list with all errors found. 0.4.0.0
- Property
  System.String Version of the add-in. Version of the add-in. 0.4.0.0